import { PathEventEmitter } from '@ztimson/utils';
import { Api } from './api';
export type MailTemplate = {
    template: string;
    data?: any;
};
export type Mail = {
    to: string | string[];
    cc?: string[];
    bcc?: string[];
    subject?: string;
    body?: string | MailTemplate;
};
export declare class Email extends PathEventEmitter {
    private readonly api;
    constructor(api: Api | string);
    send(email: Mail): import('@ztimson/utils').PromiseProgress<any>;
}
//# sourceMappingURL=email.d.ts.map