import { Cache, PathEventEmitter } from '@ztimson/utils';
import { Api } from './api';
import { Meta, TreeNode } from './core';
export type Form = Meta & {
    path: string;
    description?: string;
};
export declare class Forms extends PathEventEmitter {
    readonly api: Api;
    cache: Cache<string, Form>;
    constructor(api: Api | string);
    all(tree?: false): Promise<string[]>;
    all(tree?: boolean): Promise<TreeNode<Form>[]>;
    all(path?: string): Promise<Form>;
    delete(key: string): Promise<void>;
    read(path: string, reload?: boolean): Promise<Form | null>;
    update(form: Form): Promise<Form>;
}
//# sourceMappingURL=forms.d.ts.map